Subject: Re: bug#11091: 24.0.94; emacsclient -t

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Mar 2012 15:34:12 +0300

> Date: Sat, 31 Mar 2012 13:38:25 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Allow me a few comments.

Thanks.

> On the "-c" option:
> 
> > [...] Emacs can create a graphical frame even if it was started in a
> > text-only terminal, provided it is able to connect to a graphical
> > display, and provided it can create graphical frames when started
> > from a text-only terminal.
> 
> Isn't this wording a bit awkward?  "Emacs can do X, provided it is
> able to do Y, and provided it can do X"

I don't see anything awkward here.  Using only one "provided that"
would produce an ambiguous sentence, so I used it twice.

> On the "-t" option:
> 
> > Create a new Emacs frame on the current text-only terminal, instead
> > of using an existing Emacs frame.  If Emacs can open a text-only
> > terminal even if it was started in another text-only terminal, or on
> > a graphical display, it will create a text-only frame on the current
> > terminal.
> 
> That is, "Do X instead of Y.  If Emacs can do X even if Z, it will do
> X.".  Not much clean, IMHO.

The second "X" is not really a literal "X", it uses different
wording.  I see no problem.

> > Otherwise(2), it will create a new frame, either GUI or text-only,
> > on the same terminal where Emacs was started.
> 
> Here the last part ("on the same terminal where...") gives the
> impression that the new frame will be created on a terminal,
> regardless of whether it is GUI or text-only.

"Terminal" is used here in its Emacs sense, and you seem to think
about something slightly different.

> Also, in the case that the new frame is text-only, it's not clear
> whether the frame will be created in the current terminal one or in
> the server one.

The text clearly says "on the same terminal where _Emacs_ was
started".  What is unclear about that?